IF OBJECT_ID('dbo.vw_fco_eps_trabajador') IS NOT NULL
    DROP VIEW dbo.vw_fco_eps_trabajador
GO
Create View dbo.vw_fco_eps_trabajador
As
Select 
	r.compania, r.trabajador,
	d.dato, d.descripcion
From
	rel_trab_agr r,
	datos_agr_trab d
Where
	r.agrupacion = d.agrupacion And
	r.dato = d.dato And
	r.agrupacion = 
    (SELECT dato FROM vw_fdt_parametros x
     WHERE x.pais = 'COL' AND x.compania = r.compania AND x.parametro = 'autoliq' AND x.secuencia = 21)

GO
GRANT SELECT ON vw_fco_eps_trabajador TO PUBLIC
GO

